type RecordDebugEventsToggle = {
    [event: string]: boolean;
};

interface InitOptions {
    swPath?: string;
    identity?: string;
    shopify?: boolean;
    isExtensionSW?: boolean;
}

declare class MergnService {
    #private;
    private constructor();
    static getInstance(): MergnService;
    init(apiKey: string, options?: InitOptions): void;
    setDebugLevel(debugLevel: number, recordDebugEventsToggle?: RecordDebugEventsToggle): void;
    recordAttribute(attributeName: string, attributeValue: string | number | string[] | number[]): Promise<void>;
    login(identity: string): Promise<void>;
    logout(): void;
    recordEvent(eventName: string, eventProperties?: {
        eventProperty: string;
        value: string | number | Array<any>;
    }[]): Promise<void>;
    getVersion(): string;
}
declare const _default: MergnService;

export { _default as default };
